Bug 1284025 - sshd_config change on ipa-client-install can prevent sshd from starting up
sshd_config change on ipa-client-install can prevent sshd from starting up
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: IPA Maintainers
Namita Soman
: Regression, ZStream
Depends On: 1282845
  Show dependency treegraph
Reported: 2015-11-20 10:11 EST by Jan Kurik
Modified: 2015-12-08 05:37 EST (History)
10 users (show)

See Also:
Fixed In Version: ipa-4.2.0-15.el7_2.1
Doc Type: Bug Fix
Doc Text:
Previously, ipa-client-install did not handle Match and other sections in OpenSSH configuration files correctly. As a consequence, OpenSSH configuration files containing Match and other sections were corrupted by ipa-client-install. This bug has been fixed.
Story Points: ---
Clone Of: 1282845
Last Closed: 2015-12-08 05:37:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Kurik 2015-11-20 10:11:58 EST
This bug has been copied from bug #1282845 and has been proposed
to be backported to 7.2 z-stream (EUS).
Comment 5 Kaleem 2015-11-25 06:25:16 EST

IPA version:
[root@dhcp207-129 ~]# rpm -q ipa-client
[root@dhcp207-129 ~]#

Console output:
Please find the attached file for same.
Comment 8 errata-xmlrpc 2015-12-08 05:37:33 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.